aboutsummaryrefslogtreecommitdiff
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
new file mode 100755
index 0000000..46f1f0e
--- /dev/null
+++ b/tests.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -Eeuo pipefail
+cd "$(dirname "${BASH_SOURCE[0]}")"
+
+set -x
+
+./scripts/assert-spelling.sh
+./scripts/assert-nixfmt.sh
+./scripts/assert-shellcheck.sh
+./scripts/assert-todos.sh
+
+./scripts/assert-content.sh